%define upstream_name   MooseX-Object-Pluggable
%define upstream_version 0.0014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 5
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Make your classes pluggable
Source:     http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)

BuildArch: noarch

%description
This module is meant to be loaded as a role from Moose-based classes it
will add five methods and four attributes to assist you with the loading
and handling of plugins and extensions for plugins. I understand that this
may pollute your namespace, however I took great care in using the least
ambiguous names possible.


%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.0014-5.mga8
+ Revision: 1495667
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0014-4.mga7
+ Revision: 1269612
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0014-3.mga6
+ Revision: 1030511
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0014-2.mga6
+ Revision: 965968
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.0014-1.mga6
+ Revision: 839361
- update to 0.0014

* Sat Oct 18 2014 umeabot <umeabot> 0.0013-4.mga5
+ Revision: 787981
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0013-3.mga5
+ Revision: 746011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0013-2.mga5
+ Revision: 685553
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.0013-1.mga5
+ Revision: 586656
- update to 0.0013

* Fri Oct 18 2013 umeabot <umeabot> 0.0011-4.mga5
+ Revision: 513226
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0011-3.mga3
+ Revision: 370216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.0011-2.mga1
+ Revision: 32214
- mageia rebuild
- imported package perl-MooseX-Object-Pluggable

